> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendhelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create message



## OpenAPI

````yaml post /v1/messages
openapi: 3.0.0
info:
  title: Gym Management API
  version: 1.0.0
  description: >-
    API for managing gyms, customers, forms, and messages. All requests require
    an Authorization header with a Bearer token.
servers: []
security:
  - bearerAuth: []
paths:
  /v1/messages:
    post:
      tags:
        - Messages
      summary: Create message
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMessage'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResult'
        '204':
          description: Customer opted out
components:
  schemas:
    CreateMessage:
      type: object
      properties:
        body:
          type: string
        customer:
          type: object
          additionalProperties: true
        scheduleDate:
          type: string
          format: date-time
        thread:
          type: object
          properties:
            status:
              type: string
              enum:
                - unread
                - read
                - closed
    MessageResult:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token in the format **'Bearer &lt;token&gt;'**

````